France eKYB

eKYB in France

Earlier in our docs is an overview of our Know Your Business here. Now, this page is focused specifically on eKYB in France (FR). eKYB in FR leverages the government sources of truth to validate the legitimacy of businesses, including their taxID, business name, business address, along with UBOs.

Integration

eKYB user input flow example

Module Configuration

Module configuration gives various options to specify different KYB criteria you would like to check (eg. Business name, Business Address, and Business taxID).

Direct API Approach

All module configurations and user data can be forwarded directly in the request for performing a KYB search. This will override existing configuration and data collected about the user.

API Authentication

All endpoints require authentication headers to be specified as stated in Incode API Documentation.

KYB request

POST /omni/externalVerification/ekyb

This endpoint performs a KYB check for the business specified. Note: Endpoint can have empty body {} and in that case information will be pulled from module configuration and session details.

Note: The country parameter is used to limit business validation to that specific region. We will only validate a business established in the country selected in the eKYB request.

Business Tax ID in FR

Business taxID supports either SIREN / SIRET / RCS / RC (local numbers) or VAT Number. There is no rule set in stone for format of numbers.

Request Format Example

{
  "plugins" : ["ekyb"], //required field
  "businessName" : "AUCHAN RETAIL INTERNATIONAL", //required field
  "street" : "RUE MAL DE LATTRE DE TASSIGNY",
  "houseNo" : "",
  "addressLine2" : "",
  "city" : "CROIX",
  "state" : "",
  "postalCode" : "59170",
  "country" : "FR", //required field
  "taxId" : "XXXXXXXXX", //required field
  "uboNames" : ["LLO", "Sarah Smith"],
  "directors" : ["Andrew Martin", "Sarah Schrader"]
}

Response

All module configurations and user data can be forwarded directly in the request for performing an eKYB search. This will override existing configuration and data collected about the user.

API Authentication

All endpoints require authentication headers to be specified as stated in Incode API Documentation.

Response Example

"kyb": [
    {
      "key": "name",
      "sub_label": "Verified"
    },
    {
      "key": "tin",
      "sub_label": "Verified",
      "reasonCodes": ["REGNO"]
    },
    {
      "key": "address_verification",
      "sub_label": "Verified"
    },
    {
      "key": "cityMatch",
      "sub_label": "Verified"
    },
    {
      "key": "postalCodeMatch",
      "sub_label": "Verified"
    },
    {
      "key": "registrationStatus",
      "sub_label": "Active"
    },
    {
      "key": "entityType",
      "entityType": {
      "entityType": "Limited Liability Granting Company"
    }
    },
    {
      "key": "ubo_name_match",
      "sub_label": "Verified",
      "uboName_input": "LLO"
    },
    {
      "key": "ubo_name_match",
      "sub_label": "Unverified",
      "uboName_input": "Sarah Smith"
    },
    {
      "key": "directors_name_match",
      "sub_label": "Verified",
      "directorsName_input": "Andrew Martin"
    },
    {
      "key": "directors_name_match",
      "sub_label": "Unverified",
      "directorsName_input": "Sarah Schrader"
    }
}
France API Key Status Definition
name Verified, Approximate Match, Unverified Submitted business name is verified, approximate match, or unverified against the business name associated with the business Tax ID in the government database.
tin Verified, Unverified Submitted Tax ID is found or not found in the government database.
address_verification Verified, Approximate Match, Unverified Submitted address is verified, approximate match, or unverified against the address associated with the business Tax ID in the government database.
cityMatch Verified, Approximate Match, Unverified Submitted city is verified, approximate match, or unverified against the address associated with the business taxID in the government database.
postalCodeMatch Verified, Unverified Submitted postal code is verified, approximate match, or unverified against the address associated with the business taxID in the government database.
registrationStatus Active, Inactive, Unknown Active: This occurs if the registration status of the business is active.\nInactive: This occurs if the registration status of the business is suspended or inactive or if the business no longer exists.\nUnknown: This occurs if the registration status of the business is not available.
entityType Legal entity type of the business This displays the legal entity type of the company, if available, from an official source. If not available, “Unknown” is displayed.
ubo_name_match Verified, Approximate Match, Unverified Submitted UBO is an exact match against the UBO associated with the business Tax ID in the government database.\nIn situations where user has submitted multiple ubo names to be verified against the government source of truth, you will see additional fields called ubo_name_match.\nYou can distinguish ubo_name_match when looking at uboName_input
directors_name_match Verified, Approximate Match, Unverified Submitted Directors is an exact match against the Directors associated with the business Tax ID in the government database.\nIn situations where user has submitted multiple ubo names to be verified against the government source of truth, you will see additional fields called directors_name_match.\nYou can distinguish directors_name_match when looking at directorsName_input

Learning more about Approximate Match: Approximate Match is generated through Incode's proprietary fuzzy matching algorithm. If approximate match is returned, the algorithm has identified a similar match with the string submitted in relation to the string stored in the government source of truth for a particular field. Approximate Match is returned when exact matches are not possible due to misspellings, typographical errors, or slight variations in input data.

KYB error responses

Please refer to error response to see conventional HTTP response codes to indicate the success or failure of an API request.

Custom 400 error messages if businessName, taxId, or country is “ “ or null:

message: businessName, taxId, and country are minimum required fields.

Single Session Dashboard Results

They are available on Single Session view under Business tab

Updated 8 months ago